# API Reference

- [Concepts](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/concepts.md): Understand concepts and how they are utilized in procedures.
- [Connections](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/connections.md): Learn how to connect with third-party tools and services in your custom book project.
- [Docstrings](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/docstrings.md): Understand how to format and write docstrings to ensure your Book is well-documented.
- [Decorators](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/decorators.md)
- [@book](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/decorators/book-decorator.md)
- [@concept](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/decorators/concept-decorator.md)
- [@config](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/decorators/config-decorator.md)
- [@connect](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/decorators/connect-decorator.md)
- [@oauth](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/decorators/oauth-decorator.md)
- [@oauthtoken](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/decorators/oauthtoken-decorator.md)
- [@procedure](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/decorators/procedure-decorator.md)
- [Enums](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/enums.md)
- [FilterBinaryOperator](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/enums/filterbinaryoperator-enum.md)
- [FilterUnaryOperator](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/enums/filterunaryoperator-enum.md)
- [Filter Expressions](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/enums/filter-expressions.md): Learn about implementing filter expressions in your custom book project.
- [Noun Phrases](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/noun-phrases.md): Learn about the concept of a noun phrase.
- [Procedures](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/procedures.md): Learn how to implement a procedure in a custom book.
- [Questions](https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference/questions.md): Learn how to implement questions in a custom book.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kognitos.com/legacy/legacy-experience/books/custom-books/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
